# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

logger.info("data_store:{}".format(data_store))

profile = data_store['profile']
metric_list = data_store['metrics']['nsx.host.host-metrics']
logger.info("metric_list:{}".format(metric_list))

if metric_list:
    Exportdata(data = {'esx.vmnic0.stats': metric_list['value'][0]}, exports = ['wavefront'],
               source = metric_list['value'][1], timestamp = metric_list['timestamp'])
else:
    logger.info("No host metric for exporting.")
