# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential

from abc import ABCMeta, abstractmethod


class AbstractProfileResolver(metaclass=ABCMeta):

    @classmethod
    @abstractmethod
    def get(cls, key):
        pass

    @classmethod
    @abstractmethod
    def set(cls, profile_pb):
        pass

    @classmethod
    @abstractmethod
    def clear(cls, profile_pb):
        pass
